# -*- coding: utf-8 -*-
# @Author: wangkun
# @Time: 2023/6/28
import os
import sys
sys.path.append(os.getcwd())
from common.common import Common
from xigua.xigua_author.xigua_author_scheduling import XiguaauthorScheduling


def xigua_author_main(log_type, crawler, env):
    Common.logger(log_type, crawler).info("开始抓取:西瓜账号\n")
    Common.logging(log_type, crawler, env, "开始抓取:西瓜账号\n")
    XiguaauthorScheduling.get_author_videos(log_type=log_type,
                                            crawler=crawler,
                                            rule_dict={"play_cnt":{"min":1000,"max":0},"duration":{"min":60,"max":0},"period":{"min":2,"max":2},"video_width":{"min":720,"max":0},"video_height":{"min":720,"max":0}},
                                            user_list=[{"uid": 6267140, "source": "xigua", "link": "https://www.ixigua.com/home/2273435016499629",
                                                           "nick_name": "买两个橘子",
                                                           "avatar_url": "http://rescdn.yishihui.com/user/default/avatar/live/1616555578819_u=1922778943,2660693611&fm=26&gp=0.jpg",
                                                           "mode": "author"},
                                                          {"uid": 6267141, "source": "xigua", "link": "https://www.ixigua.com/home/694546480506782",
                                                           "nick_name": "西二旗刘德华",
                                                           "avatar_url": "http://rescdn.yishihui.com/user/default/avatar/live/1616555578819_u=1922778943,2660693611&fm=26&gp=0.jpg",
                                                           "mode": "author"}],
                                            env=env)
    Common.del_logs(log_type, crawler)
    Common.logger(log_type, crawler).info("抓取一轮结束\n")
    Common.logging(log_type, crawler, env, "抓取一轮结束\n")


if __name__ == "__main__":
    xigua_author_main("author", "xigua", "dev")
